Bug 67548 - System hangs with donkey program
System hangs with donkey program
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Stephen Tweedie
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-06-27 04:50 EDT by Jordi Clariana
Modified: 2007-04-18 12:43 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-16 22:07:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jordi Clariana 2002-06-27 04:50:05 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1)

Description of problem:
First, sorry for my english. I'll try to make you understand.
While I run donkey program from www.edonkey2000.com, version 16.16.59, it 
crashes the system.
I don't know if it's a donkey fault or if it's a kernel fault. The journaling 
system seems to fail with this program, and crash the system.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. start donkey (from www.edonkey2000.com, version 16.16.59)
2. let it run its way
3. it will crash a time later (long or short I don't know)
	

Additional info:

Jun 26 21:41:32 intertext kernel: Assertion failure in 
journal_dirty_data_Rc48fa3e3() at transaction.c:970: "jh->b_transaction == 
journal->j_committing_transaction"
Jun 26 21:41:32 intertext kernel: kernel BUG at transaction.c:970!              
Jun 26 21:41:32 intertext kernel: invalid operand: 0000
Jun 26 21:41:32 intertext kernel: CPU:    0                                     
Jun 26 21:41:32 intertext kernel: EIP:    0010:[<c8917255>]
Jun 26 21:41:32 intertext kernel: EFLAGS: 00010282                              
Jun 26 21:41:32 intertext kernel: eax: 00000021   ebx: c2ebd6d0   ecx: 
00000001   edx: 
000028ea                                                                 Jun 26 
21:41:32 intertext kernel: esi: 00000001   edi: c76b2000   ebp: c3836580   esp: 
c0c3be10                                                                 Jun 26 
21:41:32 intertext kernel: ds: 0018   es: 0018   ss: 0018
Jun 26 21:41:32 intertext kernel: Process donkey (pid: 2482, stackpage=c0c3b000)
Jun 26 21:41:32 intertext kernel: Stack: c891f170 000003ca 00000000 c2e06de0 
c8916ebe c2e06de0 c3836580 c3f8d480
Jun 26 21:41:32 intertext kernel:        00001000 c3836580 00001000 c8926387 
c3836580 c3f8d480 00000000 c2e06de0
Jun 26 21:41:32 intertext kernel:        c5f57244 c0c3bebc c0c3bea0 c3f8d480 
c6977000 c0c3be74 00001000 
0001489a                                                Jun 26 21:41:32 
intertext kernel: Call Trace: [<c891f170>] [<c8916ebe>] [<c8926387>] 
[<c89261aa>] [<c8926668>]
Jun 26 21:41:32 intertext kernel:    [<c01351f0>] [<c013538e>] [<c0106f0b>]
Jun 26 21:41:32 intertext kernel:
Jun 26 21:41:32 intertext kernel: Code: 0f 0b 5a 59 83 7b 08 02 0f 87 f2 00 00 
00 8b 44 24 30 85 c0
Comment 1 Stephen Tweedie 2002-06-27 10:51:09 EDT
Which kernel version is this?
Comment 2 Jordi Clariana 2002-06-27 11:16:35 EDT
Kernel version is 2.4.7-10
Comment 3 Stephen Tweedie 2002-06-27 14:15:11 EDT
I'd need to see the backtrace decoded: either a ksymoops decode of the oops, or
the _exact_ kernel version so that I can try to do it from the base kernel rpm
(I'd need to know if this is athlon, i386, i686 etc. to know that.)

I won't be near a machine I can reproduce this on until next week.
Comment 4 Jordi Clariana 2002-06-27 15:23:58 EDT
Ok. I'm a little lost. This is my first time I report a bug and I don't know 
the steps.
I already say the kernel version, I don't know what you mean with "_the _exact_ 
kernel version", however:
#uname -a
Linux hostname 2.4.7-10 #1 Thu Sep 6 17:27:27 EDT 2001 i686 unknown

I have the ksymoops (I suppose, it's the first time I try it), but it's 53kb, I 
think it's too long to post it here. I'll send it to you by mail.
Comment 5 Dave Jones 2003-12-16 22:07:27 EST
This is very likely fixed as 2.4.7 is an ancient kernel.
Closing due to inactivity in nearly 18 months, and pending EOL.

Note You need to log in before you can comment on or make changes to this bug.